/* video.h - constants and prototypes for video output routines in VIDEO.C */
/* lrs 2/13/89 */

#define BLACK 0
#define BLUE 1
#define GREEN 2
#define CYAN 3
#define RED 4
#define MAGENTA 5
#define BROWN 6
#define LIGHTGRAY 7
#define DARKGRAY 8
#define LIGHTBLUE 9
#define LIGHTGREEN 10
#define LIGHTCYAN 11
#define LIGHTRED 12
#define LIGHTMAGENTA 13
#define YELLOW 14
#define WHITE 15
#define BLINK 128 /* add to backcolor */
#define REVERSE BLACK,LIGHTGRAY
#define NORMAL  WHITE,BLACK
#define DIM	LIGHTGRAY,BLACK

#include <stdarg.h>

#define cursoroff() cursorsize(0x20,0)
#define cursoron()  cursorsize(0,14)

int screenrows(void);
int screencols(void);

void scroll(int lines, int x1, int y1, int x2, int y2);
void cursorsize(int startline, int endline);
void clearscreen(void);
void cleareol(void);
void at(int row, int col);
void in(char forecolor, char backcolor);
void cprintf(va_list arg_list, ...);
void cputc(char ch);
void Write16Bytes (void* buf);
void initvideo(void);
/*---- end of video.h ----*/